Jump to content

willy95

Membres
  • Content Count

    218
  • Joined

  • Last visited

Community Reputation

0 Neutral

About willy95

  • Rank
    ceinture marron
  • Birthday 03.01.1975

Contact Methods

  • AIM
    1

Profile Information

  • Gender
    Not Telling
  1. Bonjour à tous, Quelle ligne de code dois-je écrire pour selectionner directement un objet (un nuage de point) au lieu d'un calque comme indiqué dans ma ligne ci dessous ? (ssget "_X" '((8 . "nuage"))) Merci à vous
  2. Merci beaucoup, je ne savais pas que cette commande prenais en compte l'étoile pour tous les selectionner, merci Olivier c'est au top
  3. Bonjour à tous, Bien que j'ai chercher et rien trouver de correspondant exactement à mon besoin, je viens vous demander si quelqu'un aurait un code pour rajouter un préfixe (d'une ou deux lettres) devant tous les noms de blocs se trouvant dans un dessin sans même les sélectionner ? Merci par avance pour votre aide précieuse.
  4. Merci Beaucoup VDH-Bruno, cette formulation fonctionne à Merveille ! Merci aussi pour m'avoir compris dans ma question difficile à poser :)
  5. Bonjour à tous, Comment dois-je écrire mes lignes de codes pour que : Quand je valide à la 2eme fois à la question "Saisir le Z du sol" qu'il prennent en compte la valeur que j'aurais saisie a la 1er fois ? (if (= Zsol nil ) (setq Zsol 0.00 )) (setq Zsol (GetReal (StrCat "\nSaisir le Z du Sol : <" (Rtos Zsol 2 2) "> : "))) Exemple : Saisir le Z du Sol <0.00> : (je reponds 8.31) je relance le code : Saisir le Z du Sol <8.31> : (je valide pour conservé la valeur ) Merci pour votre aide
  6. Merci Luna pour ta réponse qui me donne de quoi méditer sur les choses étranges que j'intègre dans mes pseudo codes, mais bon j'ai enfin réussi à le faire fonctionner grâce à la réflexion de chacune de vos réponses et principalement à Tramber qui m'avait bien dit de mettre "C" au début. (defun c:rotobj (/ p1 p2 p3 p4) (setq SELEC1 (ssget)) (setq p1 (getpoint "\nSaisir le 1er point de l'objet a rotationner : ")) (setq p2 (getpoint "\nSaisir le 2eme point de l'objet a rotationner : ")) (setq p3 (getpoint "\nSaisir le 3eme point -> 1er de la reference de rotation : ")) (setq p4 (get
  7. Merci pour vos premières pistes, mais rien de fonctionne, je ne comprends pas pourquoi :( (command "_rotate" SELEC1 p1 "C" "R" !Ang12 !Ang34 )
  8. Bonjour à tous, Afin d'utiliser la commande rotation avec une référence d'angle de départ et une autre référence d'arrivé, j'utilise la commande rotation mais je passe mon temps à cliquer sur R puis P bien trop souvent, alors j'aimerai bien mettre tous ça dans un petit code pour me simplifié cette répétition qui devient insupportable. Mais je ne comprends pas pourquoi la commande "C" n'est donc pas reconnue ! Si quelqu'un peut m'expliquer à résoudre mon problème se serait vraiment sympa. (defun c:rotobj (/ Ang12a Ang12 Ang34a Ang34 p1 p2 p3 p4) (setq SELEC1 (ssget)) (setq p1 (getpoi
  9. Merci Beaucoup, effectivement cela marche à merveille, je vais pouvoir analyser ces lignes pour modifier des objets AutoCAD via leurs données DXF, car cela peu me servir dans d'autre cas. Au top du top et merci pour votre temps passé à me lire, comprendre mes problématiques et vos réponses instructives. Merci
  10. Ah ok, merci beaucoup pour ces deux dernières explications, en fait Gile à créer une nouvelle fonction qui s'utilise directement avec des options dans l'invité de commande. Encore merci, je vais pouvoir intégrer ces lignes de code et voir si cela fonctionne comme j'en ai besoin.
  11. Même si je comprends les étapes comme indiqué à chaque ligne, j'ai essayer de compléter mes anciens et nouveaux préfixes, sans résultat, j'ai essayer de remplacer les "variables" par des valeurs, sans résultat, j'ai peu-être pas complété quelque chose, je ne suis pas assez compétent dans le domaine pour comprendre encore suffisamment les subtilisées de toutes ces imbrications de fonctions que je ne maîtrise vraiment pas. Donc, je vais relire, re-tester, même laisser un peu de temps pour y réfléchir et comprendre un peu plus ces lignes que je vais maltraitées dans tous les sens et elles finir
  12. Je souhaite uniquement modifier et toujours que les 3 premiers caractères.
  13. Merci pour vos lectures et réponses que vous m'accordez, je cherche effectivement une solution assez simple pour intégrer quelques lignes dans un lisp pour transformer plusieurs types de calques en d'autre, en clair : J'ai par exemple des calques qui se nomment : AAA-1, AAA-2, AAA-3,BBB-4,BBB-6,CCC-8,CCC-9 et je souhaite suivant le choix prélable de mon lisp tous les changer en DDD-1,DDD-2,DDD3,DDD-4,DDD6,DDD8,DDD-9. J'avoue ne pas etre assez calé pour pouvoir ecrire ce code correctement avec les fonctions (entmod) (subst) que tu m'a indiqué alors une bonne partie de solution me serai bien
  14. Petite précision : Dans la boite de dialogue cela fonction bien avec * mais pas dans la commande texte que je souhaite intégrer dans un lisp
×
×
  • Create New...